Public Attributes | List of all members
_qspi_memorymapped_write_t Struct Reference
Peripheral Driver » HAL Driver » QSPI » Structures » QSPI memory map write

QSPI memory map write Structure definition. More...

`#include <gr55xx_hal_qspi.h>`

## Public Attributes
uint32_t | x_instruction_size
| Specifies instruction size in memorymapped(xip) mode. More...
uint32_t | x_instruction
| Specifies instruction in memorymapped(xip) mode. More...
uint32_t | x_address_size
| Specifies instruction size in memorymapped(xip) mode. More...
uint32_t | x_inst_addr_transfer_format
| Specifies xfer format of inst & addr in memorymapped(xip) mode. More...
uint32_t | x_dummy_cycles
| Specifies wait(dummy) cycles in memorymapped(xip) mode. More...
uint32_t | x_data_frame_format
| Specifies enhanced spi's frame format in memorymapped(xip) mode. More...

## Detailed Description

QSPI memory map write Structure definition.

Definition at line 298 of file gr55xx_hal_qspi.h.

## Member Data Documentation

## ◆ x_address_size

uint32_t _qspi_memorymapped_write_t::x_address_size

Specifies instruction size in memorymapped(xip) mode.

This parameter can be a value of address size for concurrent xip mode.

Definition at line 307 of file gr55xx_hal_qspi.h.

## ◆ x_data_frame_format

uint32_t _qspi_memorymapped_write_t::x_data_frame_format

Specifies enhanced spi's frame format in memorymapped(xip) mode.

This parameter can be a value of frame format for concurrent xip mode.

Definition at line 316 of file gr55xx_hal_qspi.h.

## ◆ x_dummy_cycles

uint32_t _qspi_memorymapped_write_t::x_dummy_cycles

Specifies wait(dummy) cycles in memorymapped(xip) mode.

value range [0 ~ 31].

Definition at line 313 of file gr55xx_hal_qspi.h.

## ◆ x_inst_addr_transfer_format

uint32_t _qspi_memorymapped_write_t::x_inst_addr_transfer_format

Specifies xfer format of inst & addr in memorymapped(xip) mode.

This parameter can be a value of transfer of inst & address for concurrent xip mode.

Definition at line 310 of file gr55xx_hal_qspi.h.

## ◆ x_instruction

uint32_t _qspi_memorymapped_write_t::x_instruction

Specifies instruction in memorymapped(xip) mode.

Definition at line 304 of file gr55xx_hal_qspi.h.

## ◆ x_instruction_size

uint32_t _qspi_memorymapped_write_t::x_instruction_size

Specifies instruction size in memorymapped(xip) mode.

This parameter can be a value of instruction size for concurrent xip mode.

Definition at line 301 of file gr55xx_hal_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h